.TH SPTTS2 l "15 June 2000" "LAPACK version 3.0" ")"
.SH NAME
SPTTS2 - solve a tridiagonal system of the form A * X = B using the L*D*L' factorization of A computed by SPTTRF
.SH SYNOPSIS
.TP 19
SUBROUTINE SPTTS2(
N, NRHS, D, E, B, LDB )
.TP 19
.ti +4
INTEGER
LDB, N, NRHS
.TP 19
.ti +4
REAL
B( LDB, * ), D( * ), E( * )
.SH PURPOSE
SPTTS2 solves a tridiagonal system of the form A * X = B using the L*D*L' factorization of A computed by SPTTRF. D is a diagonal matrix specified in the vector D, L is a unit bidiagonal
matrix whose subdiagonal is specified in the vector E, and X and B
are N by NRHS matrices.
.br

.SH ARGUMENTS
.TP 8
N       (input) INTEGER
The order of the tridiagonal matrix A.  N >= 0.
.TP 8
NRHS    (input) INTEGER
The number of right hand sides, i.e., the number of columns
of the matrix B.  NRHS >= 0.
.TP 8
D       (input) REAL array, dimension (N)
The n diagonal elements of the diagonal matrix D from the
L*D*L' factorization of A.
.TP 8
E       (input) REAL array, dimension (N-1)
The (n-1) subdiagonal elements of the unit bidiagonal factor
L from the L*D*L' factorization of A.  E can also be regarded
as the superdiagonal of the unit bidiagonal factor U from the
factorization A = U'*D*U.
.TP 8
B       (input/output) REAL array, dimension (LDB,NRHS)
On entry, the right hand side vectors B for the system of
linear equations.
On exit, the solution vectors, X.
.TP 8
LDB     (input) INTEGER
The leading dimension of the array B.  LDB >= max(1,N).
